#include <iostream>
#include <stdio.h>
using namespace std;

int main()
{   int a,b,c,x,y,m,n,p,q,k=1,o=1,h=1,maxim;
    scanf("%d%d%d",&a,&b,&c);
    while(a%h!=a)
        h=h*10;
    while(b%k!=b)
        k=k*10;
    while(c%o!=c)
        o=o*10;
    if(a==0)
        h=1;
    if(b==0)
        k=1;
    if(c==0)
        o=1;
    x=a*k*o+b*o+c;
    y=a*k*o+c*k+b;
    p=b*h*o+a*o+c;
    q=b*h*o+a+c*h;
    m=c*k*h+a*k+b;
    n=c*k*h+a+b*h;
    maxim=p;
    if(maxim<q)
        maxim=q;
    if(maxim<x)
        maxim=x;
    if(maxim<y)
        maxim=y;
    if(maxim<m)
        maxim=m;
    if(maxim<n)
        maxim=n;
    printf("%d",maxim);
    return 0;
}